Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Collection Id

Body

application/json
brand_id
string | null

Optional brand_id update

description
string | null

Optional description update - pass null to remove, omit to keep unchanged

effective_at_on_downgrade
null | enum<string>

Effective_at setting for downgrades: Some(Some(val)) = set, Some(None) = clear (inherit), None = no change

Available options:
immediately,
next_billing_date
effective_at_on_upgrade
null | enum<string>

Effective_at setting for upgrades: Some(Some(val)) = set, Some(None) = clear (inherit), None = no change

Available options:
immediately,
next_billing_date
group_order
string<uuid>[] | null

Optional new order for groups (array of group UUIDs in desired order)

image_id
string<uuid> | null

Optional image update - pass null to remove, omit to keep unchanged

name
string | null

Optional new name for the collection

on_payment_failure
null | enum<string>

On payment failure behavior: Some(Some(val)) = set, Some(None) = clear (inherit), None = no change

Available options:
prevent_change,
apply_change
proration_billing_mode_on_downgrade
null | enum<string>

Proration billing mode for downgrades: Some(Some(val)) = set, Some(None) = clear (inherit), None = no change

Available options:
prorated_immediately,
full_immediately,
difference_immediately,
do_not_bill
proration_billing_mode_on_upgrade
null | enum<string>

Proration billing mode for upgrades: Some(Some(val)) = set, Some(None) = clear (inherit), None = no change

Available options:
prorated_immediately,
full_immediately,
difference_immediately,
do_not_bill

Response

Product Collection Updated Successfully

Last modified on May 21, 2026